      REAL FUNCTION MEVGENT(XDUMMY)
      REAL
     +ID      ,IND     ,DEPTH   ,COINC   ,ASEG    ,BSEG    ,
     +APHA    ,ACHN    ,BPHA    ,BCHN    ,CPHA    ,CCHN    ,
     +DPHA    ,DCHN    ,EPHA    ,ECHN     
*
      LOGICAL         CHAIN
      CHARACTER*128   CFILE
*
      COMMON /PAWCHN/ CHAIN, NCHEVT, ICHEVT
      COMMON /PAWCHC/ CFILE
*
      COMMON/PAWIDN/IDNEVT,VIDN1,VIDN2,VIDN3,VIDN(10),
     +ID      ,IND     ,DEPTH   ,COINC   ,ASEG    ,BSEG    ,
     +APHA    ,ACHN    ,BPHA    ,BCHN    ,CPHA    ,CCHN    ,
     +DPHA    ,DCHN    ,EPHA    ,ECHN     
*
      
      MEVGENT=0.
      if (id.eq.08101415.) then MEVGENT=0.2 endif
      if (id.eq.08101207.) then MEVGENT=0.3 endif
      if (id.eq.08101130.) then MEVGENT=0.4 endif
      if (id.eq.08101057.) then MEVGENT=0.5 endif
      if (id.eq.08101041.) then MEVGENT=0.6 endif
      if (id.eq.08101030.) then MEVGENT=0.7 endif
      if (id.eq.08100931.) then MEVGENT=0.8 endif
      if (id.eq.08100921.) then MEVGENT=0.9 endif
      if (id.eq.08101452.) then MEVGENT=1.0 endif
      if (id.eq.08101500.) then MEVGENT=1.1 endif
      if (id.eq.08101509.) then MEVGENT=1.2 endif
      if (id.eq.08101518.) then MEVGENT=1.3 endif
      if (id.eq.08101531.) then MEVGENT=1.4 endif
      if (id.eq.08101539.) then MEVGENT=1.5 endif
      if (id.eq.08101616.) then MEVGENT=1.6 endif
      if (id.eq.08101634.) then MEVGENT=1.8 endif
      if (id.eq.08101646.) then MEVGENT=2.0 endif
      if (id.eq.08101902.) then MEVGENT=2.2 endif
      if (id.eq.08110923.) then MEVGENT=2.4 endif
      if (id.eq.08101843.) then MEVGENT=2.6 endif
      if (id.eq.08101914.) then MEVGENT=2.8 endif
      if (id.eq.08101923.) then MEVGENT=3.0 endif
      if (id.eq.08101931.) then MEVGENT=3.2 endif
      if (id.eq.08101938.) then MEVGENT=3.5 endif
      if (id.eq.08111040.) then MEVGENT=4.0 endif
      if (id.eq.08111048.) then MEVGENT=4.3 endif
      if (id.eq.08111112.) then MEVGENT=4.5 endif
      if (id.eq.08111121.) then MEVGENT=4.8 endif
      if (id.eq.08111130.) then MEVGENT=5.0 endif
      if (id.eq.08111224.) then MEVGENT=5.2 endif
      if (id.eq.08111235.) then MEVGENT=5.4 endif
      if (id.eq.08111245.) then MEVGENT=5.6 endif
      if (id.eq.08111256.) then MEVGENT=5.8 endif
      if (id.eq.08111437.) then MEVGENT=6.0 endif
      if (id.eq.08111431.) then MEVGENT=6.3 endif
      if (id.eq.08111448.) then MEVGENT=6.6 endif
      if (id.eq.08111500.) then MEVGENT=6.9 endif
      if (id.eq.08111522.) then MEVGENT=7.2 endif
      if (id.eq.08111532.) then MEVGENT=7.5 endif
      if (id.eq.08111542.) then MEVGENT=7.8 endif
      if (id.eq.08111613.) then MEVGENT=8.1 endif
      if (id.eq.08111704.) then MEVGENT=8.4 endif
      if (id.eq.08111720.) then MEVGENT=8.7 endif
      if (id.eq.08111733.) then MEVGENT=9.0 endif
      if (id.eq.08120956.) then MEVGENT=10.0 endif
      if (id.eq.08121016.) then MEVGENT=11.0 endif
      if (id.eq.08121033.) then MEVGENT=11.5 endif
      if (id.eq.08121043.) then MEVGENT=12.0 endif
      if (id.eq.08121056.) then MEVGENT=12.5 endif
      if (id.eq.08121108.) then MEVGENT=13.0 endif
      if (id.eq.08121129.) then MEVGENT=13.5 endif
      if (id.eq.08121148.) then MEVGENT=14.0 endif
                          
      END
